<li [ngClass]="{'list-group-item': true,
    'list-group-item-success': status === 'On',
    'list-group-item-danger': status === 'Off'}">
      <div class="row">
            <h4 class="col-xs-8" [ngStyle]="{color: getColor()}">
                  {{ name }} &nbsp;
                  <button class="btn btn-sm btn-success" *ngIf="status === 'Off'" (click)="onSwitch()">Switch on</button>
                  <button class="btn btn-sm btn-danger" *ngIf="status === 'On'" (click)="onSwitch()">Switch off</button>
            </h4>
            <h4 class="col-xs-4" style="text-align: right; vertical-align: middle">
                  {{ status }}
            </h4>
      </div>

      <input type="text" class="form-control" [(ngModel)]="name">
      <br>
      <!-- <button [routerLink]="[id]" class="btn btn-primary">Details</button>
      &nbsp; -->
      <button class="btn btn-info" (click)="onSave(id,name,status)">Save</button>
      <button class="btn btn-danger" (click)="onDelete(index)">Delete</button>
</li>